View Issue Details

IDProjectCategoryView StatusLast Update
13291Bug reports[All Projects] Survey takingpublic2018-02-19 15:07
ReporterjeloAssigned Tomarkusfluer 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.4.x 
Summary13291: Next button not working under Edge.
Description

Browser Edge
When starting to fill out a survey the button to get to first question is not working.

I'm not used to Edge. The browser console shows this error when clicking the button:
LSLOG [object Arguments]

lslog.js (136,18)

[object Arguments]: {0: "PJAX ->", 1: Object, callee: <Permission denied>, length: 2}
0: "PJAX ->"

1: Object
0: "waiting for scriptcomplete"

1: Array

callee: function (){this.options.debug&&this.options.logObject&&("function"==typeof this.options.logObject.log?this.options.logObject.log.apply(this.options.logObject,["PJAX ->",arguments]):this.options.logObject.log&&this.options.logObject.log(["PJAX ->",arguments]))}
length: 2

proto: Object
callee: <Permission denied>
length: 2

proto: Object

constructor: function Object() { [native code] }

hasOwnProperty: function hasOwnProperty() { [native code] }

isPrototypeOf: function isPrototypeOf() { [native code] }

propertyIsEnumerable: function propertyIsEnumerable() { [native code] }

toLocaleString: function toLocaleString() { [native code] }

toString: function toString() { [native code] }

valueOf: function valueOf() { [native code] }

defineGetter: function defineGetter() { [native code] }

defineSetter: function defineSetter() { [native code] }

lookupGetter: function lookupGetter() { [native code] }

lookupSetter: function lookupSetter() { [native code] }
proto: null

Additional Information

I was able to reproduce it on demo.limesurvey.org

German post by user, which reported bug there.
https://www.limesurvey.org/forum/german-forum/113560-weiter-schaltfl%C3%A4che-funktioniert-bei-edge-nicht

There was at least one other user reporting issues with Edge and LS 3.1.X

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.1.1
I will donate to the project if issue is resolvedNo
BrowserEdge
Database & DB-VersionN/A
Server OS (if known)N/A
Webserver software & version (if known)N/A
PHP VersionN/A

Activities

jelo

jelo

2018-02-02 18:11

partner   ~46235

Perhaps changing X-UA-Compatible tag can help. It's currently on "IE=edge" in the themes.
What about "IE=11"?

ollehar

ollehar

2018-02-05 15:41

administrator   ~46264

@c_schmitz ping

c_schmitz

c_schmitz

2018-02-05 16:08

administrator   ~46265

I just tested with Edge. No problems here.
Maybe an edge security setting?

c_schmitz

c_schmitz

2018-02-05 16:15

administrator   ~46267

Seems to happen if Ajax mode is activated in the template.

markusfluer

markusfluer

2018-02-16 11:27

administrator   ~46548

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=26499

Related Changesets

LimeSurvey: master b87a034d

2018-02-15 16:27:35

markusfluer

Details Diff
Fixed issue 13291: Next button not working under Edge. Affected Issues
13291
mod - themes/survey/vanilla/scripts/ajaxify.js Diff File

Issue History

Date Modified Username Field Change
2018-02-02 18:03 jelo New Issue
2018-02-02 18:11 jelo Note Added: 46235
2018-02-05 15:41 ollehar Note Added: 46264
2018-02-05 16:08 c_schmitz Assigned To => c_schmitz
2018-02-05 16:08 c_schmitz Status new => feedback
2018-02-05 16:08 c_schmitz Note Added: 46265
2018-02-05 16:15 c_schmitz Assigned To c_schmitz => markusfluer
2018-02-05 16:15 c_schmitz Status feedback => assigned
2018-02-05 16:15 c_schmitz Note Added: 46267
2018-02-15 16:27 markusfluer Status assigned => resolved
2018-02-15 16:27 markusfluer Resolution open => fixed
2018-02-15 16:27 markusfluer Fixed in Version => 3.3.x
2018-02-16 11:27 markusfluer Changeset attached => LimeSurvey master b87a034d
2018-02-16 11:27 markusfluer Note Added: 46548
2018-02-19 15:07 ollehar Status resolved => closed
2018-02-19 15:07 ollehar Fixed in Version 3.3.x => 3.4.x